- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy > Struct Template Reference

Template class for skeleton argument traits of objects. More...

`#include <Object_SArgument_T.h>`

List of all members.

## Public Types
typedef T_ptr | ret_type
typedef T_ptr | in_type
typedef T_ptr & | inout_type
typedef T_out | out_type
typedef In_Object_SArgument_T< T_ptr, T_var, Insert_Policy > | in_arg_val
typedef Inout_Object_SArgument_T< T_ptr, T_var, Insert_Policy > | inout_arg_val
typedef Out_Object_SArgument_T< T_ptr, T_var, T_out, Insert_Policy > | out_arg_val
typedef Ret_Object_SArgument_T< T_ptr, T_var, Insert_Policy > | ret_val
typedef in_type | in_arg_type
typedef inout_type | inout_arg_type
typedef out_type | out_arg_type
typedef inout_type | ret_arg_type

## Detailed Description

### template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>
struct TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >

Template class for skeleton argument traits of objects.

## Member Typedef Documentation

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef in_type TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::in_arg_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef In_Object_SArgument_T<T_ptr,T_var,Insert_Policy> TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::in_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef T_ptr TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::in_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef inout_type TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::inout_arg_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef Inout_Object_SArgument_T<T_ptr,T_var,Insert_Policy> TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::inout_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef T_ptr& TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::inout_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef out_type TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::out_arg_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef Out_Object_SArgument_T<T_ptr,T_var,T_out,Insert_Policy> TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::out_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef T_out TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::out_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef inout_type TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::ret_arg_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef T_ptr TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::ret_type

template<typename T_ptr, typename T_var, typename T_out, typename Insert_Policy>

typedef Ret_Object_SArgument_T<T_ptr,T_var,Insert_Policy> TAO::Object_SArg_Traits_T< T_ptr, T_var, T_out, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Object_SArgument_T.h